---
title: "Liberationist 1: A prelude to liberation"
date: 2024-07-07T23:04:03-5
---

# Liberationist 1: A prelude to liberation

Between 2012 and 2013, I woke from a deep slumber. It's mostly three events which spur me. One: February 2012—George Zimmerman murders 17-year-old Black teen Trayvon Martin in Sanford, Florida. Two: June 2012—My mom and I visit our family in the Philippines for the first time in six years. Three: June 2013—Wendy Davis performs an 11-hour filibuster to block Texas Senate Bill 5, a bill banning abortions after 20 weeks, which dies that night, but is revived and passed in a second special session in July. After these events, I take stances against police brutality and income inequality. I get into feminism and queer/trans issues. Throughout high school, I become more opinionated, and thus more politically distant from family. By 2015, I'm supporting Bernie Sanders' presidential bid, and I end up identifying myself as a “progressive.”

It's 2016. I'm a first year at Texas Tech. Hillary Clinton has lost the election. Donald Trump's rise to the presidency betrays everything I thought I knew about American politics and culture. I don't feel all that welcome in Texas Tech's LGBTQ+ community, so in the coming years I get more involved in the feminist group on campus. We host The Vagina Monologues. We have talks on intersectionality theory and gender in pop culture and the media. We teach sex ed. We organize a few protests. We petition the university to do more about sexual assault. The word “radical” isn't so frightening anymore.

2019 rolls around. I've joined a new university-backed organization called Council of Councils. We settle on Student Intersectional Leadership Council. It almost completely falls apart by November 2019 when, driven by impulse, I take on the task of restructuring and rebuilding it. By this point, I'm disillusioned with the institution and with other student leaders, who seem more preoccupied with clout and more interested in building their own resumes than building movements or making change. I learn what it means to build coalition. Diversity, equity, and inclusion are the priorities of the day. I'm taking an interest in indigenous sovereignty and the Land Back movement. I keep doing feminist organizing, but racism on campus joins it at the front of my mind.

By 2022, SILC has gone through two advisors. We've laid the groundwork and now we're getting connected to other student groups in a way that matters. The work has broadened—I learn to move fluidly from issue to issue, because that's what it demands. I'm getting critical of traditional ideas around leadership. I am in and out of school at this point. It's more and more clear just how deeply interconnected all the issues I've been thinking about are. I get into the Filipino student group, which brings a greater self-discovery about my cultural background. It brings more meaning to my activist tendencies. The struggles I'm involved in take on global implications. I don't feel like I'm always on the same page with other Filipino students though. By now, hierarchy feels like the biggest foe; I fancy myself an anarchist.

Finally, it all comes full circle to today. This year, I came back to Lubbock to complete my degree once and for all. The atmosphere on campus is radically different. DEI programs are dead in Texas—quite possibly due in part to what we'd been doing with DEI at Texas Tech. I'm reckoning with forces which have been at play in American politics for over 40 years. Even the left-facing activists in our community seem to have internalized the effects. I can't stop noticing the same tendencies I observed among students and student leaders recurring in the community. It feels even worse now than it was. But at the same time, it feels like something is in the air.

Since I became more involved in the feminist organizing space in 2018, my perspective that all these struggles are deeply intertwined has grown and grown. I've always seen everyone as connected—there's me in you, and there's you in me—and that's had lasting implications on how I live, how I show up in spaces, and how I work with others. But now, more than ever, it's become especially important to me to combine all these struggles together and take action on a broader spectrum.

I came to “liberation,” collective liberation, as my word of choice because it binds together all these movements. Its basic definition is “the act and process of freeing oneself and others from captivity or oppression,” but it could also refer to the resulting state of being freed, or to the absence of oppression. This accurately characterizes my drive in every situation—to witness oppression and hierarchy at work, to fight against whatever forms they take, and to create something new which counteracts them. And more and more lately I find this a spiritual calling which connects all struggles for a better world and unites every effort I've undertaken.

When it comes to labelling myself as a liberationist, I don't want people to get the impression that I perceive everything I do as liberatory, but that in every moment I am striving to be better and strategizing around how I could take liberation a step further. I've warmed up to describing myself this way specifically because it's generic enough to provide a space for my politics to change, shift, and grow, but it's specific enough to identify my values—the love, hope, and vision I ground myself in and the collective solidarity and empowerment I'm seeking. It encompasses any movement which seeks to stop oppression, exploitation, or injustice—to disrupt and dismantle cycles, systems, structures, hierarchies, etc.—and any creative, constructive effort to support our collective and individual abilities to live as our fullest selves.

Being a liberationist is critical in this time where we've inherited a world on fire. We have to connect our struggles and build collective power because we can only survive together. It's not enough to have faith that things will get better, because things *won't* get better, not if we don't roll up our sleeves and collaborate to do something about it. I've chosen collective liberation because it feels like the only way a better world is going to happen. I don't just have hope the world will somehow inevitably get better, an empty hope which only promotes inaction, but rather I have hope and conviction that through our work we can *make* a better world.